---
title: "GET Forecast-Daily-locationId"
url: "https://developers.perryweather.com/apis/perry-weather-api-1/versions/3047a55b-c304-42f3-b6dc-7c3f59903b6e/paths/Forecast-Daily-locationId/get"
---

> Full API specification: https://developers.perryweather.com/apis/perry-weather-api-1/versions/3047a55b-c304-42f3-b6dc-7c3f59903b6e.md

# /Forecast/Daily/{locationId}

`GET` `/Forecast/Daily/{locationId}`

## Path parameters

- `locationId` (string, uuid, required) - The location identifier.

## Query parameters

- `days` (integer, int32, optional) - The number of days to forecast, from 1 up to 14. Defaults to 7.

## Header parameters

- `x-api-key` (string, required) - API key for authenticating requests. Create and manage keys in the Perry Weather dashboard under Integrations > Perry Weather APIs.

## Responses

- `200` - Success
- `400` - Bad Request
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Perry Weather API
  version: "1.1"
servers:
  - url: https://customer.api.perryweather.com/v1/
    description: Production Server
paths:
  /Forecast/Daily/{locationId}:
    get:
      tags:
        - Forecast
      parameters:
        - name: x-api-key
          in: header
          description: API key for authenticating requests. Create and manage keys in the
            Perry Weather dashboard under Integrations > Perry Weather APIs.
          required: true
          schema:
            type: string
            example: YOUR-API-KEY
        - name: locationId
          in: path
          description: The location identifier.
          required: true
          schema:
            type: string
            format: uuid
        - name: days
          in: query
          description: The number of days to forecast, from 1 up to 14. Defaults to 7.
          schema:
            type: integer
            format: int32
            default: 7
      responses:
        "200":
          description: Success
          content:
            text/plain:
              schema:
                title: DailyForecastModel
                type: array
                items:
                  $ref: "#/components/schemas/DailyForecastModel"
              example:
                - forecastDate: 2026-04-22T05:00:00Z
                  dayLight: true
                  temperatureHigh:
                    value: 78.4
                    unit: F
                    display: 78.4F
                  temperatureLow:
                    value: 58.9
                    unit: F
                    display: 58.9F
                  feelsLike:
                    value: 78.4
                    unit: F
                    display: 78.4F
                  wbgt:
                    value: 71.6
                    unit: F
                    display: 71.6F
                  humidity:
                    value: 57
                    unit: "%"
                    display: 57%
                  dewPoint:
                    value: 55.3
                    unit: F
                    display: 55.3F
                  windSpeed:
                    value: 10.2413
                    unit: mph
                    display: 10.2413mph
                  windDirection: S
                  windGust:
                    value: 21.8715
                    unit: mph
                    display: 21.8715mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0.0511
                    unit: in
                    display: 0.0511in
                  precipitationChance:
                    value: 40
                    unit: "%"
                    display: 40%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
                - forecastDate: 2026-04-23T05:00:00Z
                  dayLight: true
                  temperatureHigh:
                    value: 74.1
                    unit: F
                    display: 74.1F
                  temperatureLow:
                    value: 55.2
                    unit: F
                    display: 55.2F
                  feelsLike:
                    value: 74.1
                    unit: F
                    display: 74.1F
                  wbgt:
                    value: 68.4
                    unit: F
                    display: 68.4F
                  humidity:
                    value: 63
                    unit: "%"
                    display: 63%
                  dewPoint:
                    value: 54.8
                    unit: F
                    display: 54.8F
                  windSpeed:
                    value: 12.6318
                    unit: mph
                    display: 12.6318mph
                  windDirection: N
                  windGust:
                    value: 24.4126
                    unit: mph
                    display: 24.4126mph
                  windGustDirection: NNE
                  precipitation:
                    value: 0.3122
                    unit: in
                    display: 0.3122in
                  precipitationChance:
                    value: 65
                    unit: "%"
                    display: 65%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
            application/json:
              schema:
                title: DailyForecastModel
                type: array
                items:
                  $ref: "#/components/schemas/DailyForecastModel"
              example:
                - forecastDate: 2026-04-22T05:00:00Z
                  dayLight: true
                  temperatureHigh:
                    value: 78.4
                    unit: F
                    display: 78.4F
                  temperatureLow:
                    value: 58.9
                    unit: F
                    display: 58.9F
                  feelsLike:
                    value: 78.4
                    unit: F
                    display: 78.4F
                  wbgt:
                    value: 71.6
                    unit: F
                    display: 71.6F
                  humidity:
                    value: 57
                    unit: "%"
                    display: 57%
                  dewPoint:
                    value: 55.3
                    unit: F
                    display: 55.3F
                  windSpeed:
                    value: 10.2413
                    unit: mph
                    display: 10.2413mph
                  windDirection: S
                  windGust:
                    value: 21.8715
                    unit: mph
                    display: 21.8715mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0.0511
                    unit: in
                    display: 0.0511in
                  precipitationChance:
                    value: 40
                    unit: "%"
                    display: 40%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
                - forecastDate: 2026-04-23T05:00:00Z
                  dayLight: true
                  temperatureHigh:
                    value: 74.1
                    unit: F
                    display: 74.1F
                  temperatureLow:
                    value: 55.2
                    unit: F
                    display: 55.2F
                  feelsLike:
                    value: 74.1
                    unit: F
                    display: 74.1F
                  wbgt:
                    value: 68.4
                    unit: F
                    display: 68.4F
                  humidity:
                    value: 63
                    unit: "%"
                    display: 63%
                  dewPoint:
                    value: 54.8
                    unit: F
                    display: 54.8F
                  windSpeed:
                    value: 12.6318
                    unit: mph
                    display: 12.6318mph
                  windDirection: N
                  windGust:
                    value: 24.4126
                    unit: mph
                    display: 24.4126mph
                  windGustDirection: NNE
                  precipitation:
                    value: 0.3122
                    unit: in
                    display: 0.3122in
                  precipitationChance:
                    value: 65
                    unit: "%"
                    display: 65%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
            text/json:
              schema:
                title: DailyForecastModel
                type: array
                items:
                  $ref: "#/components/schemas/DailyForecastModel"
              example:
                - forecastDate: 2026-04-22T05:00:00Z
                  dayLight: true
                  temperatureHigh:
                    value: 78.4
                    unit: F
                    display: 78.4F
                  temperatureLow:
                    value: 58.9
                    unit: F
                    display: 58.9F
                  feelsLike:
                    value: 78.4
                    unit: F
                    display: 78.4F
                  wbgt:
                    value: 71.6
                    unit: F
                    display: 71.6F
                  humidity:
                    value: 57
                    unit: "%"
                    display: 57%
                  dewPoint:
                    value: 55.3
                    unit: F
                    display: 55.3F
                  windSpeed:
                    value: 10.2413
                    unit: mph
                    display: 10.2413mph
                  windDirection: S
                  windGust:
                    value: 21.8715
                    unit: mph
                    display: 21.8715mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0.0511
                    unit: in
                    display: 0.0511in
                  precipitationChance:
                    value: 40
                    unit: "%"
                    display: 40%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
                - forecastDate: 2026-04-23T05:00:00Z
                  dayLight: true
                  temperatureHigh:
                    value: 74.1
                    unit: F
                    display: 74.1F
                  temperatureLow:
                    value: 55.2
                    unit: F
                    display: 55.2F
                  feelsLike:
                    value: 74.1
                    unit: F
                    display: 74.1F
                  wbgt:
                    value: 68.4
                    unit: F
                    display: 68.4F
                  humidity:
                    value: 63
                    unit: "%"
                    display: 63%
                  dewPoint:
                    value: 54.8
                    unit: F
                    display: 54.8F
                  windSpeed:
                    value: 12.6318
                    unit: mph
                    display: 12.6318mph
                  windDirection: N
                  windGust:
                    value: 24.4126
                    unit: mph
                    display: 24.4126mph
                  windGustDirection: NNE
                  precipitation:
                    value: 0.3122
                    unit: in
                    display: 0.3122in
                  precipitationChance:
                    value: 65
                    unit: "%"
                    display: 65%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
        "400":
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            text/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
        "404":
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            text/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
security:
  - ApiKeyAuth: []
components:
  schemas:
    DailyForecastModel:
      type: object
      properties:
        forecastDate:
          type: string
          format: date-time
          nullable: true
        dayLight:
          type: boolean
        temperatureHigh:
          $ref: "#/components/schemas/ValueUnit"
        temperatureLow:
          $ref: "#/components/schemas/ValueUnit"
        feelsLike:
          $ref: "#/components/schemas/ValueUnit"
        wbgt:
          $ref: "#/components/schemas/ValueUnit"
        humidity:
          $ref: "#/components/schemas/ValueUnit"
        dewPoint:
          $ref: "#/components/schemas/ValueUnit"
        windSpeed:
          $ref: "#/components/schemas/ValueUnit"
        windDirection:
          type: string
          nullable: true
        windGust:
          $ref: "#/components/schemas/ValueUnit"
        windGustDirection:
          type: string
          nullable: true
        precipitation:
          $ref: "#/components/schemas/ValueUnit"
        precipitationChance:
          $ref: "#/components/schemas/ValueUnit"
        snowAccumulation:
          $ref: "#/components/schemas/ValueUnit"
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ValueUnit:
      type: object
      properties:
        value:
          type: number
          format: double
        unit:
          type: string
          nullable: true
        display:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key for authenticating requests. Create and manage keys in the
        Perry Weather dashboard under Integrations > Perry Weather APIs.
      name: x-api-key
      in: header
```
